package org.keulkeul;

import quicktime.QTException;
import quicktime.QTSession;

/**
 * Copyright (C) 2006  Mickaël BARON
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * @author Mickaël BARON (baron.mickael@gmail.com)
 **/
public class QTSessionCheck {
    
	private Thread shutdownHook;

    private static QTSessionCheck instance;
    
    private QTSessionCheck() throws QTException {
        super();
        QTSession.open();
        shutdownHook = new Thread() {
        	public void run() {            
        		QTSession.exitMovies();
            }
        };
        Runtime.getRuntime().addShutdownHook(shutdownHook);
    }
    
    private static QTSessionCheck getInstance() throws QTException {
        if (instance == null)
            instance = new QTSessionCheck();
        return instance;
    }
    
    public static void check() throws QTException {
    		QTSessionCheck.getInstance();
    }
}
